

/**
 *
 * Join
 *Part of Mbase implemented in Java
Author Paul Cockshott
Started Sept 1997
Copyright (c) University of strathclyde
 */
package strathclyde.cs.relational.operators;
import strathclyde.cs.relational.*;
import strathclyde.cs.relational.structured.Set;
public class Join extends Doperator
{	Doperator []op=new Doperator[2];
public Join(Doperator a,Doperator b){op[0]=a;op[1]=b;}
public Universal apply(Universal a, Universal b)
{ 
	return(a instanceof Set&& b instanceof Set
		?((Set)a).join(op[0],op[1],(Set)b)
		:Universal.undefinedValue
		);
}
public String toString()
{ return "("+op[0]+""+op[1]+")";}
}

