//package operator;



/*
 *
 * suspended
 *
  Part of Mbase implemented in Java
  Author Paul Cockshott
  Started Aug 1997
  Copyright (c) University of strathclyde
 */
package strathclyde.cs.relational.operators;
import strathclyde.cs.relational.*;

public class Suspended extends Niladic
{
	Moperator op; Universal arg;
	public Moperator Op(){return op;}
	public Universal Arg(){return arg;}
	
	public String toString(){return op.toString()+" "+arg;}

	public Universal eval()
	{	return op.apply(arg); }

	public Suspended(Moperator o, Universal b)
	{	op=o; arg=b; }
	
	public Suspended(Doperator o, Universal a,Universal b)
	{ op=new Curried (o,a); arg= b;}

	public Suspended(Universal b)
	{ op = Moperator.IDENTITY ; arg =b;}
}

