//package operator;



/**
 *
 * curried - curries a dyadic to a monadic
 * Part of Mbase implemented in Java
 * Author Paul Cockshott
 * Started Aug 1997
 * Copyright (c) University of strathclyde */
package strathclyde.cs.relational.operators; 
import strathclyde.cs.relational.*; 
public class Curried extends Moperator
{
	 public Universal alpha;
	 public Doperator op;
	private boolean left;
	
	public Universal apply(Universal b)
	{ 
		if(left)return op.apply(alpha,b);
		return op.apply(b,alpha);
	}	
	public Curried(Doperator o, Universal b)
	{
		op=o; alpha=b; left=false; 
	}
	public Curried(Universal a,Doperator o)
	{
		op=o; alpha=a; left=true;
	}
	public String toString()
	{ if (left) return alpha.toString()+op.toString();
	  return " "+op.toString()+alpha.toString()+" ";
	}
}

