

/*
 *
 * Doperator
 *Part of Mbase implemented in Java
  Author Paul Cockshott
  Started Aug 1997
  Copyright (c) University of strathclyde

 */

package strathclyde.cs.relational.operators;

import	strathclyde.cs.relational.*;

public abstract class Doperator 
{
public abstract Universal apply(Universal a,Universal b);
public static final Doperator EQ = new Equals();
public static final Doperator PLUS = new Plus();
public static final Doperator MINUS = new Minus();
public static final Doperator TIMES = new Times();
public static final Doperator DIVIDE = new Divide();
public static final Doperator LT = new LessThan();
public static final Doperator SUBS = new Subscript();
public static final Doperator PROJ = new Project();
}

