package strathclyde.cs.relational.operators;
import strathclyde.cs.relational.*;
import strathclyde.cs.relational.structured.*;

/*
 *
 * Reduce
 *
 handles the syntax 
   <dyadic> / -> < monadic >
 */
public class Reduce extends Moperator
{	
	Doperator op;
	public Reduce(Doperator o){op=o;}
	public Universal apply(Universal u){
		if (u instanceof Structured){
			return ((Structured)u).reduce(op);
		} else return Universal.undefinedValue;
	}
	public String toString()
	{return op+" / ";}
}

